import java.util.*;
class Assignment3F
{
	public static void main (String[] args)
	{
          Scanner input = new Scanner (System.in);
          double a,b,c;
          double angleA, angleB;
         
          
	  System.out.println("This program will determine the hypotenuse of a right angled triangle, and the two acute angles.");
	  System.out.println("Please enter the first side");
          a = input.nextDouble();
	  System.out.println("Please enter the second side");
          b = input.nextDouble();

 	  c=Math.sqrt( Math.pow(a,2.0)+ Math.pow(b,2.0));
          
          System.out.println("The hypotenuse is "+c);
          angleA=Math.toDegrees(Math.asin(a/c));
          angleB=Math.toDegrees(Math.asin(b/c));
          System.out.println("The two acute angles are "+angleA+" and "+ angleB);

	}
} 